---@meta

---@class ABP_GlobalFoliageActor_C : AActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Icon_Arrow UStaticMeshComponent
---@field Icon_Base UStaticMeshComponent
---@field Icon_Root UStaticMeshComponent
---@field ['Wind Noise'] double
---@field ['Wind Strength'] double
---@field ['Wind Speed'] double
---@field ['Wind Tiling'] double
---@field ['Season Strength'] double
---@field ['Season Brightness'] double
---@field ['Season Saturation'] double
---@field Health double
---@field ['Variation Tiling'] double
---@field ['Macro Variation Tiling'] double
---@field ['Random Color Variation Amount'] double
---@field ['Overall Color Variation Amount'] double
---@field ['Directional Light'] ADirectionalLight
local ABP_GlobalFoliageActor_C = {}

ABP_GlobalFoliageActor_C['Update Parameters'] = function(self, ) end
function ABP_GlobalFoliageActor_C:UserConstructionScript() end
---@param DeltaSeconds float
function ABP_GlobalFoliageActor_C:ReceiveTick(DeltaSeconds) end
function ABP_GlobalFoliageActor_C:ReceiveBeginPlay() end
---@param EntryPoint int32
function ABP_GlobalFoliageActor_C:ExecuteUbergraph_BP_GlobalFoliageActor(EntryPoint) end


